# Generated by Django 2.0.1 on 2018-01-29 15:58

import _socket
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
import django_crypto_fields.fields.encrypted_text_field
import django_revision.revision_field
import edc_model_fields.fields.hostname_modification_field
import edc_model_fields.fields.userfield
import edc_model_fields.fields.uuid_auto_field
import edc_base.sites.managers
import edc_base.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalRandomizationList',
            fields=[
                ('created', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('modified', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('user_created', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', edc_model_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', edc_model_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, db_index=True, editable=False, help_text='System auto field. UUID primary key.')),
                ('subject_identifier', models.CharField(db_index=True, max_length=50, null=True, verbose_name='Subject Identifier')),
                ('sid', models.IntegerField(db_index=True)),
                ('drug_assignment', django_crypto_fields.fields.encrypted_text_field.EncryptedTextField(blank=True, choices=[('single_dose', 'Single-dose: Ambisome 10mg/kg on day 1 with Flucytosine 100mg/kg/day and Fluconazole 1200mg/day for 14 days.'), ('control', 'Control: Amphotericin B 1 mg/kg for 7 days with Flucytosine 100mg/kg/day for 7 days followed by Fluconazole 1200mg/day for 7 days.')], help_text=' (Encryption: AES local)', max_length=71)),
                ('site_name', models.CharField(max_length=100)),
                ('allocation', django_crypto_fields.fields.encrypted_text_field.EncryptedTextField(blank=True, help_text=' (Encryption: AES local)', max_length=71, null=True, verbose_name='Original integer allocation')),
                ('allocated', models.BooleanField(default=False)),
                ('allocated_datetime', models.DateTimeField(null=True)),
                ('allocated_user', models.CharField(max_length=50, null=True)),
                ('verified', models.BooleanField(default=False)),
                ('verified_datetime', models.DateTimeField(null=True)),
                ('verified_user', models.CharField(max_length=50, null=True)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_id', edc_model_fields.fields.uuid_auto_field.UUIDAutoField(primary_key=True, serialize=False)),
                ('allocated_site', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='sites.Site')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical ',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='RandomizationList',
            fields=[
                ('created', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('modified', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('user_created', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', edc_model_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', edc_model_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, editable=False, help_text='System auto field. UUID primary key.', primary_key=True, serialize=False)),
                ('subject_identifier', models.CharField(max_length=50, null=True, unique=True, verbose_name='Subject Identifier')),
                ('sid', models.IntegerField(unique=True)),
                ('drug_assignment', django_crypto_fields.fields.encrypted_text_field.EncryptedTextField(blank=True, choices=[('single_dose', 'Single-dose: Ambisome 10mg/kg on day 1 with Flucytosine 100mg/kg/day and Fluconazole 1200mg/day for 14 days.'), ('control', 'Control: Amphotericin B 1 mg/kg for 7 days with Flucytosine 100mg/kg/day for 7 days followed by Fluconazole 1200mg/day for 7 days.')], help_text=' (Encryption: AES local)', max_length=71)),
                ('site_name', models.CharField(max_length=100)),
                ('allocation', django_crypto_fields.fields.encrypted_text_field.EncryptedTextField(blank=True, help_text=' (Encryption: AES local)', max_length=71, null=True, verbose_name='Original integer allocation')),
                ('allocated', models.BooleanField(default=False)),
                ('allocated_datetime', models.DateTimeField(null=True)),
                ('allocated_user', models.CharField(max_length=50, null=True)),
                ('verified', models.BooleanField(default=False)),
                ('verified_datetime', models.DateTimeField(null=True)),
                ('verified_user', models.CharField(max_length=50, null=True)),
                ('allocated_site', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.Site')),
            ],
            options={
                'ordering': ('site_name', 'sid'),
            },
            managers=[
                ('objects', django.db.models.manager.Manager()),
                ('on_site', edc_base.sites.managers.CurrentSiteManager('allocated_site')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='randomizationlist',
            unique_together={('site_name', 'sid')},
        ),
    ]
